# Revision history for hablo

## 1.1.0.1 -- 2021-01-20

* Ensure compilation on Nix as far as 18.09
* Fix missing metadata when landing on articles

## 1.1.0.0 -- 2020-12-13

* Implement static pages
* Implement RSS feeds
* Use SJW to pack JS into a single script and simplify deployment

## 1.0.3.0 -- 2019-12-21

* Fix OpenGraph cards displayed for links to hablo-generated pages posted on the Fediverse (should work elsewhere too but I don't care and have never tested)
* This fix alas requires to «anchor» the generated website at a given location by means of the new `--site-url` option. OpenGraph cards are just completely disabled if you prefer your website to remain portable.

## 1.0.2.0 -- 2019-08-27

* Format for [conditional blocks](/Tissevert/hablo/wiki/Template-variables#metadata) changed to allow an internal simplification. This is transparent if you're creating a new blog or using the default wording but be sure to edit your wording if you're using a custom one :

`${? … ?}` becomes `{? … ?}`

## 1.0.1.0 -- 2019-04-28

* Print warnings about malformed Markdown articles instead of ignoring them silently

## 1.0.0.0 -- 2019-04-19

* First version. Finally released by an unexpecting developer
