module Mock.Markdown (
      article
    , page
  ) where

import qualified Data.Map as Map (fromList)
import Markdown (Markdown(..))

article :: Markdown
article = Markdown {
      key = "test"
    , path = "articles/test"
    , Markdown.title = "Some test"
    , metadata = Map.fromList [
            ("summary", "It's a test")
          , ("featuredImage", "test.png")
        ]
    , bodyOffset = 3
    , body = []
  }

page :: Markdown
page = Markdown {
      key = "test"
    , path = "pages/test"
    , Markdown.title = "A test page"
    , metadata = Map.fromList [
            ("summary", "Tests are useful")
          , ("featuredImage", "test.png")
        ]
    , bodyOffset = 3
    , body = []
  }
